<?php
/**
  * Ahead WebSoft Technologies Pvt Ltd.
  * @copyright  Copyright 2006-2026 Ahead WebSoft Technologies Pvt Ltd.
  * @license    https://www.socialengine.com/policies
*/

class Gdpr_Model_DbTable_Contents extends Engine_Db_Table
{

  protected $_rowClass = "Gdpr_Model_Content";

  function getContents($params = array())
  {
    $select = $this->select();
    if (!empty($params['type']))
      $select->where('type =?', $params['type']);

    return $this->fetchAll($select);
  }

}
